Bug 484330 - ext3->ext4 migration doesn't enable extents
ext3->ext4 migration doesn't enable extents
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-02-06 00:12 EST by Eric Sandeen
Modified: 2009-02-20 14:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 14:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2009-02-06 00:12:08 EST
Per my experience, and that during the Fedora ext4 test day (https://fedoraproject.org/wiki/QA/Test_Days/2009-02-05) doing an ext3->ext4 migration doesn't enable extents on the filesystem.

This would ideally be done pre-upgrade, if possible, so that the upgraded files (which should be most of them on the root) will be created in the extents format.

I'm not sure if this sort of "pre-upgrade-migration" fits well in the anaconda flow... but it's what we'd need to do for this sort of migration to be worthwhile.

Thanks,
-Eric
Comment 1 Will Woods 2009-02-19 11:53:29 EST
Eric - what's required to enable extents? I assume it's a tune2fs call, as with the ext2->ext3 migration.

http://kernelnewbies.org/Ext4 suggests:
  tune2fs -O extents,uninit_bg,dir_index $DEV
  fsck -pf $DEV

Is that correct? Do we also want to enable the other listed features?
Comment 2 Eric Sandeen 2009-02-19 12:05:13 EST
Yep, it's tune2fs, and the extent[s] option (either should work) is the critical one.

dir_index should already be enabled for any recent install.

uninit_bg may be helpful, depending on how full the filesystem is, but the subsequent fsck will take a while.  That one is a tossup I suppose, though you'll get better fsck times after that initial fsck.  I suppose we already run fsck from anaconda pre-resize(?) so there's precedent.

The key here, though, is that unlike the ext2->ext3 migration, this needs to be done before the packages are upgraded, not after, to get any benefit from the switch to extent format.

-Eric
Comment 3 Chris Lumens 2009-02-20 14:03:17 EST
This should be fixed in the next build of anaconda.  Thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.